; *****************************************************************************
; File: Port1.s43
; Autor: Stefan Schauer, Texas Instruments Deutschland
; Date: 18. Feb 2001
;
; Routines to get and set the Port 1
; accessed out of C as standard extern Calls(see "Example2.c"):
;
; *****************************************************************************
;============================================================================
; set_port
;============================================================================
P1IN=0x20
P1OUT=0x21


        .global set_port
        .func set_port
        

;============================================================================
; set_port
set_port:
        xor.b #01h,&P1OUT ; Toggle 0x01 bit Port 1 output
        ret
        
        .endfunc
;============================================================================
; get_port
;============================================================================
        .global get_port
        .func get_port

get_port:
        mov.b &P1IN,R13 ; Store Port 1 into R13 (unused cause of byte)
        and.b R12,R13 ; use mask
        mov.b R13,R12 ; Store value into R12 (return parameter)
        ret

        .endfunc
