; *****************************************************************************
; File: Port1.s43
; Autor: Stefan Schauer, Texas Instruments Deutschland
; Date: 18. Feb 2001
;
; Routines to get and set the Port 1
; accessed out of C as standard extern Calls(see "Example3.c"):
;
; *****************************************************************************
P1OUT=0x21

        .extern rand ; Std C function
        .extern mult ; function in example3.c
;============================================================================
; set_port_rand
;============================================================================
        .global set_port_rand ; Declare symbol to be exported
        .func set_port_rand

set_port_rand:
        call #rand ; Call rand() -> value stored at R12
        mov #25,R14 ; 2nd operand -> R14
                    ; 1st operand -> R12 from rand() function
        call #mult ; return in R12 / R13
        mov.b R12,&P1OUT ; Move low byte of R12 to Port 1 output
        ret

        .endfunc
