; *****************************************************************************
; File: wdt_int.s43
; Autor: Stefan Schauer, Texas Instruments Deutschland
; Date: 18. Feb 2001
;
; Routines to handle Watchdog Timer interrupt service
; accessed out of C as interrupt routine (see "Example4.c"):
;
; *****************************************************************************
P1OUT=0x21
     
;---------------------------------------------------------------------------
;============================================================================
; WDT_isr Watchdog Interrupt service
;============================================================================
        .global WDT_isr
        .global vector_fff4

WDT_isr:
vector_fff4:
        xor.b #001h,P1OUT ; Toggle P1.0
        reti

