/***********************************************************************/
/* example1.c 2001-02-18 */
/* */
/* Mixing C and Assembler Code */
/* */
/* This software demonstrates how C and Assembler Code could be */
/* mixed to get the optimum of both programming languages */
/* */
/* Note 1: project must include assembly file "Port1.s43" */
/* */
/* */
/* Texas Instruments Incorporated */
/* Stefan Schauer */
/***********************************************************************/
#include <MSP430x14x.h>         /* Processor specific definitions */
/* -------------------external Function Prototypes ------------------- */
extern void set_port(void);     /* Function Prototype for asm function */
/***********************************************************************/
/* main */
/***********************************************************************/
int main(void)
{
  // === Initialize system ================================================
  IFG1 = 0;                     /* clear interrupt flag1 */
  WDTCTL = WDTPW + WDTHOLD;     /* stop WD */
  P1DIR = 0x01;
  P1OUT=0;

  while (1)
  {
    set_port();
  }
  return 1;
}

// === end of main =====================================================
