/***********************************************************************/
/* example4.c 2001-02-18 */
/* */
/* Mixing C and Assembler Code */
/* */
/* This software demonstrates how C and Assembler Code could be */
/* mixed to get the optimum of both programming languages */
/* */
/* Note 1: project must include assembly file " wdt_int.s43" */
/* */
/* */
/* Texas Instruments Incorporated */
/* Stefan Schauer */
/***********************************************************************/
#include <MSP430x14x.h>         /* Processor specific definitions */
#include <signal.h> 

void wdt_isr(void);

/***********************************************************************/
/* main */
/***********************************************************************/
int main(void)
{
  // === Initialize system ================================================
  IFG1 = 0;                     /* clear interrupt flag1 */
  WDTCTL = WDT_MDLY_32;         /* WDT 32ms Interval Timer */
  P1DIR = 0x01;                 /* P1.0 is output */
  IFG1 &= ~WDTIFG;              /* Clear pending WDT interrupts */
  IE1 |= WDTIE;                 /* Enable WDT Interrupt */
  eint();
  while (1)
  {
  }
  return 1;
}



/*
interrupt(WDT_VECTOR) wdt_isr(void)
{
  P1OUT^=0x01;
}
*/


// === end of main =====================================================
